> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cash Flow Statement

> This endpoint retrieves fundamental cash flow statement measures for a company, including operating, investing, and financing cash flows across reporting periods.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/cash-flow-statement/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/cash-flow-statement/query:
    post:
      tags:
        - Financials & Ratios
      summary: Cash Flow Statement
      description: >-
        This endpoint retrieves fundamental cash flow statement measures for a
        company, including operating, investing, and financing cash flows across
        reporting periods.
      operationId: query_cash_flow_statement_v1_cash_flow_statement_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicCashFlowStatementQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCashFlowResponse'
components:
  schemas:
    PublicCashFlowStatementQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/SingleIdentifier'
          description: >-
            Object specifying which identifier you are using to request the cash
            flow statement. You must supply one type and its corresponding
            value.
          examples:
            - type: rp_entity_id
              value: 4A6F00
        period:
          $ref: '#/components/schemas/AllowedPeriods'
          description: >-
            Select whether the cash flow statement to be provided are on an
            annual or quarterly basis.
          default: quarter
          examples:
            - annual
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
          description: >-
            Maximum number of cash flow statements records to return. If
            omitted, all cash flow statements records are returned.
          default: 20
          examples:
            - 20
      type: object
      required:
        - identifier
      title: PublicCashFlowStatementQuery
    PublicCashFlowResponse:
      properties:
        results:
          anyOf:
            - $ref: '#/components/schemas/CashFlowStatement'
            - items:
                $ref: '#/components/schemas/CashFlowStatement'
              type: array
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicCashFlowResponse
    SingleIdentifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            Object specifying which identifier you are using to request the
            intraday price. You must supply one type and its corresponding
            value. Only one identifier should be provided per request.
          examples:
            - rp_entity_id
        value:
          type: string
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: SingleIdentifier
    AllowedPeriods:
      type: string
      enum:
        - annual
        - quarter
      title: AllowedPeriods
    CashFlowStatement:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: The RavenPack entity ID of the company.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier ID of the company.
          examples:
            - GOOGL
        fields:
          items:
            type: string
            enum:
              - REPORTED_CURRENCY
              - CIK
              - FILING_DATE
              - ACCEPTED_DATE
              - FISCAL_YEAR
              - PERIOD
              - NET_INCOME
              - DEPRECIATION_AND_AMORTIZATION
              - DEFERRED_INCOME_TAX
              - STOCK_BASED_COMPENSATION
              - CHANGE_IN_WORKING_CAPITAL
              - ACCOUNTS_RECEIVABLES
              - INVENTORY
              - ACCOUNTS_PAYABLES
              - OTHER_WORKING_CAPITAL
              - OTHER_NON_CASH_ITEMS
              - NET_CASH_PROVIDED_BY_OPERATING_ACTIVITIES
              - INVESTMENTS_IN_PROPERTY_PLANT_AND_EQUIPMENT
              - ACQUISITIONS_NET
              - PURCHASES_OF_INVESTMENTS
              - SALES_MATURITIES_OF_INVESTMENTS
              - OTHER_INVESTING_ACTIVITIES
              - NET_CASH_PROVIDED_BY_INVESTING_ACTIVITIES
              - NET_DEBT_ISSUANCE
              - LONG_TERM_NET_DEBT_ISSUANCE
              - SHORT_TERM_NET_DEBT_ISSUANCE
              - NET_STOCK_ISSUANCE
              - NET_COMMON_STOCK_ISSUANCE
              - COMMON_STOCK_ISSUANCE
              - COMMON_STOCK_REPURCHASED
              - NET_PREFERRED_STOCK_ISSUANCE
              - NET_DIVIDENDS_PAID
              - COMMON_DIVIDENDS_PAID
              - PREFERRED_DIVIDENDS_PAID
              - OTHER_FINANCING_ACTIVITIES
              - NET_CASH_PROVIDED_BY_FINANCING_ACTIVITIES
              - EFFECT_OF_FOREX_CHANGES_ON_CASH
              - NET_CHANGE_IN_CASH
              - CASH_AT_END_OF_PERIOD
              - CASH_AT_BEGINNING_OF_PERIOD
              - OPERATING_CASH_FLOW
              - CAPITAL_EXPENDITURE
              - FREE_CASH_FLOW
              - INCOME_TAXES_PAID
              - INTEREST_PAID
          type: array
          title: Fields
          description: The fields of the cash flow statement.
          examples:
            - - REPORTED_CURRENCY
              - CIK
              - FILING_DATE
              - ACCEPTED_DATE
              - FISCAL_YEAR
              - PERIOD
              - NET_INCOME
              - DEPRECIATION_AND_AMORTIZATION
              - DEFERRED_INCOME_TAX
              - STOCK_BASED_COMPENSATION
              - CHANGE_IN_WORKING_CAPITAL
              - ACCOUNTS_RECEIVABLES
              - INVENTORY
              - ACCOUNTS_PAYABLES
              - OTHER_WORKING_CAPITAL
              - OTHER_NON_CASH_ITEMS
              - NET_CASH_PROVIDED_BY_OPERATING_ACTIVITIES
              - INVESTMENTS_IN_PROPERTY_PLANT_AND_EQUIPMENT
              - ACQUISITIONS_NET
              - PURCHASES_OF_INVESTMENTS
              - SALES_MATURITIES_OF_INVESTMENTS
              - OTHER_INVESTING_ACTIVITIES
              - NET_CASH_PROVIDED_BY_INVESTING_ACTIVITIES
              - NET_DEBT_ISSUANCE
              - LONG_TERM_NET_DEBT_ISSUANCE
              - SHORT_TERM_NET_DEBT_ISSUANCE
              - NET_STOCK_ISSUANCE
              - NET_COMMON_STOCK_ISSUANCE
              - COMMON_STOCK_ISSUANCE
              - COMMON_STOCK_REPURCHASED
              - NET_PREFERRED_STOCK_ISSUANCE
              - NET_DIVIDENDS_PAID
              - COMMON_DIVIDENDS_PAID
              - PREFERRED_DIVIDENDS_PAID
              - OTHER_FINANCING_ACTIVITIES
              - NET_CASH_PROVIDED_BY_FINANCING_ACTIVITIES
              - EFFECT_OF_FOREX_CHANGES_ON_CASH
              - NET_CHANGE_IN_CASH
              - CASH_AT_END_OF_PERIOD
              - CASH_AT_BEGINNING_OF_PERIOD
              - OPERATING_CASH_FLOW
              - CAPITAL_EXPENDITURE
              - FREE_CASH_FLOW
              - INCOME_TAXES_PAID
              - INTEREST_PAID
        values:
          items:
            prefixItems:
              - type: string
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: 'null'
            type: array
            maxItems: 45
            minItems: 45
          type: array
          title: Values
          description: The values of the cash flow statement.
          examples:
            - - USD
              - '0001652044'
              - '2025-07-24'
              - '2025-07-23T19:44:01'
              - 2025
              - Q2
              - 28196000000
              - 4998000000
              - -444000000
              - 0
              - -10110000000
              - -2839000000
              - 0
              - 553000000
              - -7824000000
              - 5107000000
              - 27747000000
              - -22446000000
              - -13000000
              - -22771000000
              - 21199000000
              - -513000000
              - -24544000000
              - 12970000000
              - 12970000000
              - 0
              - -13638000000
              - -13638000000
              - 0
              - -13638000000
              - 0
              - -2543000000
              - -2543000000
              - 0
              - -2621000000
              - -5832000000
              - 401000000
              - -2228000000
              - 21036000000
              - 23264000000
              - 27747000000
              - -22446000000
              - 5301000000
              - 0
              - 0
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - fields
        - values
      title: CashFlowStatement
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````